Package org.eclipse.gef.ui.palette

# Class LayoutAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.gef.ui.palette.LayoutAction

All Implemented Interfaces:
  `IAction`, `IMenuCreator`

public class LayoutAction extends Action implements IMenuCreator
This action allows to switch between the various supported layout modes for the given palette.

## Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`LayoutAction(PaletteViewerPreferences prefs)`
Constructor
`LayoutAction(PaletteViewerPreferences prefs, boolean hasIcon)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addActionToMenu(Menu parent, IAction action)`
Helper method that wraps the given action in an ActionContributionItem and then adds it to the given menu.
`protected List`
`createActions()`
`void`
`dispose()`
Empty method
`Menu`
`getMenu(Control parent)`
`Menu`
`getMenu(Menu parent)`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, run, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LayoutAction

public LayoutAction(PaletteViewerPreferences prefs)
Constructor

Parameters:
  `prefs` - PaletteViewerPreferences object where the settings can be saved

### LayoutAction

public LayoutAction(PaletteViewerPreferences prefs, boolean hasIcon)
Constructor

Parameters:
  `hasIcon` - True if this action should associate an icon with itself
  `prefs` - PaletteViewerPreferences object where the settings can be saved

## Method Details

### addActionToMenu

protected void addActionToMenu(Menu parent, IAction action)
Helper method that wraps the given action in an ActionContributionItem and then adds it to the given menu.

Parameters:
  `parent` - The menu to which the given action is to be added
  `action` - The action that is to be added to the given menu

### createActions

protected List createActions()

Returns:
  A list of actions that can switch to one of the supported layout modes

### dispose

public void dispose()
Empty method

Specified by:
  `dispose` in interface `IMenuCreator`
See Also:
  - `IMenuCreator.dispose()`

### getMenu

public Menu getMenu(Control parent)

Specified by:
  `getMenu` in interface `IMenuCreator`
See Also:
  - `IMenuCreator.getMenu(Control)`

### getMenu

public Menu getMenu(Menu parent)

Specified by:
  `getMenu` in interface `IMenuCreator`
See Also:
  - `IMenuCreator.getMenu(Menu)`